<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Maintenance List";
$file = "maintype_print.php";
$series = $_SESSION["society_" . $dbname];

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
    $keycond = "and series = '$series' and grpcode != '001' and grpcode != '002' and grpcode != '010'
            and grpcode != '012' and grpcode != '051' and grpcode != '050' and `type` = 'I' and init != 'INT'";

    $name = $_POST['name'];
//    browse($name);

    $namecond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `accode`!='' $keycond $namecond")or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <? include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr  style="background-color: #EFE4B0;">
                            <th>Sr</th>
                            <th>Manual Code</th>
                            <th>Name</th>                        
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo"<td>$ctr</td>";
                            Echo"<td>$pmain[mancode]</td>";
                            Echo"<td>$pmain[name]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
        $contents .= "Sr,Manual Code,Name\n";
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            
                            $contents .= "$ctr" . ",";
                            $contents .= "$pmain[mancode]" . ",";
                            $contents .= "$pmain[name]" . "\n";
                            $ctr++;
                        }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>